/*
** Intro025.e
*/

/*** Procedures defini\"eren ***/



PROC MYOLS( y, X ) ;
LOCAL b ;
   b = y/X ;
RETP(b) ;
ENDP ;


/* Opdracht:---->
>>  Bekijk met <alt-H(elp)> hoe GAUSS zijn procedures documenteert.
kijk bijvoorbeeld naar de documentatie van de procedure cdfn. Voeg op
dezelfde manier commentaar toe aan "myols". Schrijf de procedure weg
als "myols.g".
>>  Test de procedure op onderstaande data (Judge, George G., Carter
Hill, R. Griffith, William E., L\"utkepohl, Helmut, Lee Tsoung-Chao
(1988), Introduction to the Theory and Practice of Econometrics,
John Wiley \& Sons, New York, 2nd Ed., table 5.3, p. 195):
Gewicht braadkippen ("y") tegen voeder hoeveelheid ("x1").
<---- */



new ;
format /rz 10, 3 ;
let y =  .58    1.1     1.2     1.3     1.95
        2.55    2.6     2.9     3.45    3.5
        3.6     4.1     4.35    4.4     4.5  ;
let x1=   1      2       3       4       5
          6      7       8       9      10
         11     12      13      14      15  ;
X = ones(15,1)~x1~x1^2 ;
y~x ;
@ check MYOLS  @ ;
end ;


/* Opdracht:---->
  >>  Schrijf "MYOLS2(y,X)" met als uitkomsten :
 --  de geschatte co\"effici\"enten, "b", en
 --  de geschatte variantie van de storingen, "s2",
natuurlijk goed gedocumenteerd, en weggeschreven als "MYOLS2.G".
<---- */

/* Opdracht:---->
>>  Behalve resultaten teruggeven aan het hoofdprogramma, kunnen
procedures ook resultaten afdrukken op het scherm.
Voeg print-statements toe aan "myols2", 
zodat de procedure de volgende informatie op het scherm zet:
<---- */

/* Output: 


Aantal waarnemingen: xx
Coefficienten:
   xx
   xx
Variantie storingen:
   xx

*/

