/*
** hpg2wpg
**
** purpose: transform graph  from .hpg format to .wpg format
**
** format:  hpg2wpg [str]
**
**    input:  str - string , filename without extension .hpg
**            (usually cvt_0000 or cvt_0001 or ...)
**    output in shell-box:  transformed graphics file
**
** globals:  -
**
** author:  Gerrit Draisma and Marius Ooms
**
** date: 30 January 1998
**
**  Note: works on FEW-network only, requires DOS-version of  graphcnv
**   (part of Drawperfect )
**        in the folder mentioned below
**
*/
keyword hpg2wpg(st) ;
local cmd ;
    cmd = "t:\\appdos\\dr11\\graphcnv " ;
    cmd = cmd $+ st $+ ".hpg " ;
    print  cmd;
    shell  ^cmd  ;
endp;


