/*
** Intro064.e
*/

/*** GAUSS-datasets ***/

/* Opdracht:---->
  >>  Voorbeeld. Hieronder wordt een dataset gegenereerd met

y        = 375 + 100 x_1 + 100 x_2 + u

waarin y het inkomen, x_1 de leeftijd en x_2 het geslacht.
Daarna wordt de runtime procedure "ols" aangeroepen
om een regressie uit te voeren.
<---- */



new ;  m = 15 ;
names = { AGE SEX WAGE } ;
x      =(21+5*rndn(m,1))~(rndu(m,1).>0.5);
b      = { 375, 100, 100 } ;
y      = (ones(m,1)~x)*b + 100*rndn(m,1) ;
"x~y " x~y ; wait ;
if saved(x~y,"mydata",names) ;
   "weggeschreven naar mydata" ;
   call ols("mydata","SEX",0) ;
else ;
   errorlog "schrijf fout: geen data weggeschreven "  ;
endif ;


/* Opdracht:---->
  >>  Voeg hieronder de regels toe waarmee de dataset "mydata" weer
ingelezen wordt ; lees ook de namen van de variabelen in ; print een
tabel, met de namen boven de kolommen.
<---- */



new ;


/* Opdracht:---->
  >>  Voorbeeld: Hieronder wordt een dataset aangemaakt die groter is dan
        64 K.
  >>  Probeer de dataset met "LOADD()" weer in te lezen. Gebruik de
        procedure "DSTAT()" om een aantal statistische grootheden van de
        dataset af te drukken. Bekijk hoe daarin met grote matrices wordt
        omgegaan.
<---- */

new;
let vnames = V1 V2 V3 ;
fname = "mydata" ;
/* maak een dataset met 3 kolommen,
   single precision (4 bytes/var) (neemt minder geheugenruimte in dan de
   standaard double precision (8 bytes/var)                              */
create fh = ^fname with ^vnames, 3, 4 ;
/* controleer of dataset geopend is */
if fh == -1 ;
   errorlog "create mislukt" ;
   closeall ;
end ;
endif ;
obs = 0 ; nr = 100 ;
do while (obs < 5000) ;
   /* maak data aan in blokken van 100 */
   x = rndn(nr,3) ;
   /* schrijf blok weg.
   writer() telt aantal weggeschreven regels */
   obs = obs + writer(fh, x) ;
   obs ;
endo ;
close(fh) ;
/* eenvoudig bewerken van grote GAUSS datasets met dataloop */
dataloop ^fname mydataselection; @ zorg dat de "translator" bij de  @
                                 @ Program Options aanstaat!        @
    drop V1;
    make V4 = V2 + V3 ;
    keep V2 V3;
endata ;


