** Gerrit Draisma 23-01-98 
======>base10.src
{ mant,pow } = base10(x); Break number into a number of the form #.####... and a power of 10.
======>cdfchii.src
c = cdfchii(p,n); compute chi-square abscissae values given probability and degrees of freedom.
x = gammaii(a,p); Compute the inverse incomplete Gamma function.
======>cdfnonc.src
y = cdfchinc(x,v,d); The integral under noncentral chi-square distribution, from 0 to x.
y = CDFFNC(x,v1,v2,d); The integral under noncentral F distribution, from 0 to x. 
y = CDFTNC(x,v,d); The integral under noncentral student's t distribution, from negative infinity to x.
======>cmtools.src
zr = cmreal(xr,xi); returns real matrix of complex pair of matrices.
zi = cmimag(xr,xi); returns imaginary matrix of complex pair of matrices.
{ zr,zi } = cmcplx(x); To convert a real matrix to a complex pair of matrices.
{ z1r,z1i,z2r,z2i } = cmcplx2(x1,x2); To convert 2 real matrices to 2 complex pairs of matrices.
{ zr,zi } = cmadd(xr,xi,yr,yi); Does element-by-element addition of two complex matrices.
{ zr,zi } = cmsub(xr,xi,yr,yi); Does element-by-element subtraction of two complex matrices.
{ zr,zi } = cmdiv(xr,xi,yr,yi); Does element-by-element division of two complex matrices.
{ zr,zi } = cmemult(xr,xi,yr,yi); Dot product (element-by-element multiplication) of complex matrices.
{ zr,zi } = cmmult(xr,xi,yr,yi); Multiply complex matrices.
{ zr,zi } = cminv(xr,xi); Computes the inverse of a complex matrix.
{ zr,zi } = cmsoln(br,bi,Ar,Ai); Solves a set of complex linear equations of the form: Ax=b.
{ zr,zi } = cmtrans(xr,xi); Computes the complex conjugate transpose.
======>coord.src
======>corr.src
cx = corrm(m); Computes correlation matrix from moment (x'x) matrix. 
cx = corrvc(vc); Computes a correlation matrix from a variance-covariance matrix.
cx = corrx(x); Computes correlation matrix. 
vc = vcm(m); Computes a variance-covariance matrix from a moment matrix.
vc = vcx(x); Computes a variance-covariance matrix from a data matrix. 
======>countwts.src
c = countwts(x,v,w); To do a weighted count of the numbers of elements of a vector that fall into specified ranges.
======>crossprd.src
z = crossprd(x,y); Computes the cross products (vector products) of sets of 3x1 vectors.
======>cumprodc.src
y = cumprodc( x ); Computes the cumulative products of the columns of a matrix. 
======>cumsumc.src
y = CUMSUMC( x ); Computes the cumulative sums of the columns of a matrix.
======>datalist.src
datalist dataset var1 var2 ... ; List a GAUSS Data Set.
======>datatran.src
y = code(e,v); Allows a new variable to be created (coded) with different values depending upon which one of a set of logical
y = delif(x,e); Deletes rows from a matrix. Deletes rows for which e .== 1.
y = dummybr(x,v); Creates a set of dummy (0/1) variables by "breaking up" a variable into specified categories.
y = dummydn(x,v,p); Creates a set of dummy (0/1) variables by "breaking up" a variable into specified categories.
y = dummy(x,v); Creates a set of dummy (0/1) variables by "breaking up" a variable into specified categories.
y = missex(x,e); Converts numeric values to the missing value code according to the values given in a logical
y = recode(x,e,v); Changes the values of an existing vector, from a vector of new values. Used in data transformations.
y = selif(x,e); Selects rows from a matrix. Selects rows for which e .== 1.
y = substute(x,e,v); Substitutes new values for old values in a matrix, depending on the outcome of a logical expression.
======>design.src
y = design(x); Creates a design matrix of 0's and 1's from a column vector of numbers specifying the columns in which the 1's should be placed.
======>dfft.src
y = dfft(x); Computes a complex discrete Fourier transform. 
{ yr,yi } = DFFT(xr,xi); Computes a complex discrete Fourier transform. 
======>dffti.src
y = dffti(x); Computes an inverse complex discrete Fourier transform. 
{ yr,yi } = dffti(xr,xi); Computes an inverse complex discrete Fourier transform. 
======>diag.src
L = lowmat(x); L = lowmat1(x); Returns the lower portion of a matrix. lowmat returns the main diagonal and every element below.
U = upmat(x); U = upmat1(x); Returns the upper portion of a matrix. upmat returns the main diagonal and every element above.
======>dos.src
dir cmd; Hook to dos dir command
copy cmd; Hook to dos copy command
xcopy cmd; Hook to dos xcopy command
atog386 cmd; Hook to atog386 utility.
atog cmd; Hook to atog386 utility (undocumented).
equip cmd; Hook to GAUSS equip utility.
get cmd; Hook to GAUSS get utility.
liblist cmd; Hook to GAUSS liblist utility.
penset cmd; Hook to GAUSS penset utility
======>dstat.src
{ vnam,mean,var,std,min,max,valid,mis } = dstat(dataset,vars); Computes descriptive statistics.
{ vnames,mean,var,std,min,max,valid,missing } = _dstatd(dataset,vars); This is used if the data is passed in a dataset.
{ vnames,mean,var,std,min,max,valid,missing } = _dstatx(x); This is used if a matrix in memory is passed into dstat.
======>eigcg.src
{ var,vai } = EIGCG(xr,xi); To compute the eigenvalues of a complex, general matrix.
{ var,vai,ver,vei } = eigcg2(xr,xi); To compute eigenvalues and eigenvectors of a complex, general matrix.
======>eigch.src
va = eigch(xr,xi); To compute the eigenvalues of a complex, hermitian matrix.
{ var,vai,ver,vei } = eigch2(xr,xi); To compute eigenvalues and eigenvectors of a complex, hermitian matrix.
======>eigrg.src
{ var,vai } = eigrg(x); To compute the eigenvalues of a real, general matrix.
{ var,vai,ver,vei } = eigrg2(x); To compute eigenvalues and eigenvectors of a real, general matrix.
======>eigrs.src
va = eigrs(x); To compute the eigenvalues of a real, symmetric matrix.
{ va,ve } = eigrs2(x); To compute eigenvalues and eigenvectors of a real, symmetric matrix.
======>eqsolve.src
{ x, retcode } =  eqSolve(&f,x0); Solves a system of nonlinear equations
======>exctsmpl.src
n = exctsmpl(infile,outfile,pcntsmpl); To take a random subsample of a data set.
======>fcompare.src
y = feq(a,b); fuzzy comparison. results scalar
y = fne(a,b); fuzzy comparison. results scalar
y = flt(a,b); fuzzy comparison. results scalar
y = fgt(a,b); fuzzy comparison. results scalar
y = fle(a,b); fuzzy comparison. results scalar
y = fge(a,b); fuzzy comparison. results scalar
y = dotfeq(a,b); fuzzy comparison. results matrix
y = dotfne(a,b); fuzzy comparison. results matrix
y = dotflt(a,b); fuzzy comparison. results matrix
y = dotfgt(a,b); fuzzy comparison. results matrix
y = dotfle(a,b); fuzzy comparison. results matrix
y = dotfge(a,b); fuzzy comparison. results matrix
======>fftm.src
y = fftm(x,dim) multi-dimensional fft.
y = fftmi(x,dim) multi-dimensional inverse fft.
======>gauss.src
nr = getnr(nsets,ncols); Compute number of rows to read.
header(prcnm,dsn,ver); Print header for application programs.
y = printfmt(x,mask); print character or numeric matrix using format stored in globals, __fmtnv and __fmtcv.
oldfmt = formatnv(newfmt); Revises the global variable __fmtnv, the numeric format used by printfmt.
oldfmt = formatcv(newfmt); Revises the global variable __fmtcv, the character format used by printfmt.
gausset; reset defaults. 
chdir dirstr; Change directory.
======>getpath.src
fname = getpath(pfname); Returns an expanded filename including the drive and path.
======>gradp.src
g = gradp(&f,x0); Computes the gradient vector or matrix (Jacobian) of a vector-valued function that has been defined in a procedure.
======>hessp.src
h = hessp( &f, x0 ); Computes the matrix of second partial derivatives (Hessian matrix) of a function defined by a procedure.
======>indexcat.src
y = indexcat(x,v); Returns the indexes of the elements of a vector which fall into a specified category
======>indices.src
{ name,indx } = indices(dataset,vars); To process variable names in a dataset.
======>indices2.src
{ name1,indx1,name2,indx2 } = indices2(dataset,var1,var2); To process two sets variable names or indices from a single file.
======>integral.src
y = intquad1(&f,xl); Integrates a specified function using Gauss-Legendre quadrature.
y = intquad2(&f,xl,yl); Integrates a specified function using Gauss-Legendre quadrature.
y = intquad3(&f,xl,yl,zl); Integrates a specified function using Gauss-Legendre quadrature.
======>intgrat.src
y = intgrat2(&f,xl,gl); Evaluates a the double integral
y = intgrat3(&f,xl,gl,hl); Evaluates the triple integral
======>intrsect.src
y = intrsect(v1,v2,flag); Returns the intersection of two vectors, with duplicates removed.
======>intsimp.src
y = intsimp(&f,xl,tol); Integrates a specified function using Simpson's method with end correction.
======>lag.src
y = lag1(x); Lags a matrix by one time period for time series analysis. 
y = lagn(x,t); Lags a matrix a specified number of time periods for time series analysis.
======>lncdfn.src
y = lncdfn(x); computes log of normal cdf. 
y = lncdfnc(x); computes log of complement of normal cdf. 
y = lncdfbvn(x1,x2,r); computes log of bivariate normal cdf. 
y = cdfmvn(x,r); computes multivariate normal cdf. 
y = lncdfmvn(x,r); computes log of multivariate normal cdf. 
y = cdfn2(x,dx); Returns cdfn(x+dx) - cdfn(x).
y = lncdfn2(x,dx); Returns ln(cdfn(x+dx) - cdfn(x)).
======>lnfact.src
y = lnfact( x ); Computes the natural log of the factorial function. 
======>lnpdfn.src
z = lnpdfn(x); Computes normal log-probabilities.
z = lnpdfn2(x,s); Purpose Computes multivariate normal log-probabilities.
{ yhat,ys,xs } = loess(y,x) ; local regression, robust fitting, symmetric errors.
======>median.src
m = median(x); Computes the medians of a set of variables contained in the columns of a matrix.
======>medit.src
{y,yv,yfmt} = medit(x,v,fmt); Full Screen Matrix Editor.
======>momentd.src
m = momentd(dataset,vars); To compute a moment (X'X) matrix from a GAUSS data set. 
======>nametype.src
{ vname,vtype } = nametype(vname,vtype) Returns a vector of names and types. The case of the names will reflect the types.
======>null.src
b = null(x); Computes an orthonormal basis for the (right) null space of a matrix.
nu = null1(x,dataset); Computes an orthonormal basis for the (right) null space of a matrix.
======>ols.src
{ vnam,m,b,stb,vc,stderr,sigma,cx,rsq,resid,dwstat } = ols(dataset,depvar,indvars); To compute least squares regression.
======>olsqr.src
b = olsqr(y,x); Computes ols coefficients using qr decomposition.
{ b,r,p } = olsqr2(y,x); Computes ols coefficients, residuals, and predicted values using the qr decomposition.
======>optim.src
n = nextn(n0); Returns allowable matrix dimensions for computing ffts.
n = nextnevn(n0); Returns allowable matrix dimensions for computing ffts.
n = optn(n0); Returns optimal matrix dimensions for computing FFTs.
n = optnevn(n0); Returns optimal matrix dimensions for computing ffts.
======>parse.src
tok = parse(str,delim); Parses a string, returning a character vector of tokens.
======>pause.src
call pause(sec); To pause for a specified number of seconds. 
======>paxnum.src
======>pbar.src
bar(val,ht); Bar Graph.
======>pbox.src
box(grp,y); Graphs data using the box graph percentile method.
======>pcart.src
======>pcart3d.src
======>pcontour.src
contour(x,y,z); Graphs a contour graph using a matrix of heights.
======>pdraw.src
draw(); Graphing utility for user supplied vectors.
======>pgraph.src
asclabel(xl,yl); To set up character labels for the X and Y axes.
FONTS(str); To select fonts to be used in the plot.
graphset; Reset graphics globals to default values.
title(str); To set a title for the graph.
view(x,y,z); To set the position of the observer for 3D plots.
viewxyz(x,y,z); To set the position of the observer in plot coordinates for 3D plots.
volume(x,y,z); To set the length, width, and height ratios of the 3D workbox.
xlabel(str); To set a label for the X axis.
ylabel(str); To set a label for the Y axis.
zlabel(str); To set a label for the Z axis.
margin(l,r,t,b); To set the margins for the graph window.
axmargin(l,r,t,b); To set the absolute position of the axes.
graphprt(str); To select hardcopy or pause options.
rerun; Executes the PQGRUN.EXE print/conversion utility.
======>phist.src
{ c,m,freq } = hist(x,v); Computes and graphs a frequency histogram for a vector. The actual frequencies are plotted for each category.
{ c,m,freq } = histp(x,v); Computes and graphs a percent frequency histogram of a vector. The percentages in each category are plotted.
histf(f,c); To graph a histogram given a vector of frequency counts.
======>play.src
hardcopy(str); To select hardcopy or pause options.
setcnvrt( type, ans ); Saves information about each conversion type to disk.
replay; Executes the play.exe print/conversion utility.
======>ploglog.src
loglog(x,y); Graphs x vs y using log coordinates for the axes.
======>plogx.src
logx(x,y); Graphs x vs y using log scaling for the X axis.
======>plogy.src
logy(x,y); Graphs x vs y using log coordinates for the Y axis.
======>polar.src
polar(radius,theta); Graphs x vs y using polar coordinates.
======>poly.src
c = polychar(x); To compute the characteristic polynomial of a square matrix.
y = polyeval(x,c); To evaluate polynomials. Can either be 1 or more scalar polynomials, or a single matrix polynomial.
c = polymake(r); To compute the coefficients of a polynomial, given the roots of the polynomial. (Restricted to real
c = polymult(c1,c2); To multiply two polynomials together.
r = polyroot(c); To compute the roots of a polynomial whose coefficients are c.
======>polyint.src
y = polyint(xa,ya,x); Calculates a Nth order polynomial interpolation or extrapolation of x on y given the vectors XA
======>polymat.src
y = polymat(x,p); Returns a matrix containing the powers of the elements of x from 1 to p.
======>pscale.src
scale(x,y); scale3d(x,y,z); To fix a scaling for subsequent graphs.
xtics(min,max,step,minordiv); To set and fix scaling, axes numbering and tics for the X axis.
ytics(min,max,step,minordiv); To set and fix scaling, axes numbering and tics for the Y axis.
ztics(min,max,step,minordiv); To set and fix scaling, axes numbering and tics for the Z axis.
======>psurface.src
surface(x,y,z); Graphs a 3 dimensional surface.
======>putf.src
retcode = putf(fname,str,start,len,mode,append); Writes string to disk.
======>pwindow.src
begwind; Initialize global window variables.
endwind; End window manipulation, display graphs.
window(row,col,typ); Partition the screen into tiled windows of equal size.
makewind(xsize,ysize,xshft,yshft,typ); Create a window of specific size and position and add to list of current windows.
setwind(n); Set the current window to previously created window number.
nextwind; Set the current window to next available window.
n = getwind; Retrieve the current window number.
err = savewin(namstr); Save the current window configuration to a file.
err = loadwin(namstr); Load a previously saved window configuration.
======>pxy.src
xy(x,y); Graphs x vs y using cartesian coordinates.
======>pxyz.src
xyz(x,y,z); Graphs a 3D curve.
======>qnewton.src
{ x,f,g,retcode } = QNewton(&fct,x0); unconstrained minimization (quasi newton)
======>qprog.src
{ x,u1,u2,u3,u4,ret } = QProg( start,q,r,a,b,c,d,bnds ); solves the quadratic programming problem
======>qqr.src
{ Q1,R } = qqr(X); Computes the orthogonal-triangular (QR) decomposition of a matrix X, such that:
{ Q1,R,E } = qqre(X); Computes the orthogonal-triangular (QR) decomposition of a matrix X, such that:
{ Q1,R,E } = qqrep(X,PVT); Computes the orthogonal-triangular (QR) decomposition of a matrix X, such that:
y = orth(x); Computes an orthonormal basis for the column space of a matrix.
======>qr.src
R = qr(x); Computes the orthogonal-triangular (qr) decomposition of a matrix X, such that:
{ R,E } = qre(X); Computes the orthogonal-triangular (qr) decomposition of a matrix X, such that:
{ R,E } = qrep(X,PVT); Computes the orthogonal-triangular (QR) decomposition of a matrix X, such that:
======>qrsol.src
x = qrsol(b,R); Computes the solution of R x = b where R is an upper triangular matrix.
x = qrtsol(b,L); Computes the solution of L x = b where L is a lower triangular matrix.
======>qtyr.src
{ QTY,R } = qtyr(Y,X); Computes the orthogonal-triangular (QR) decomposition of a matrix X and returns
{ QTY,R,E } = qtyre(Y,X); Computes the orthogonal-triangular (QR) decomposition of a matrix X and returns
{ QTY,R,E } = qtyrep(Y,X,PVT); Computes the orthogonal-triangular (QR) decomposition of a matrix X using pivot vector
======>qyr.src
{ QY,R } = qyr(Y,X); Computes the orthogonal-triangular (QR) decomposition of a matrix X and returns
{ QY,R,E } = qyre(Y,X); Computes the orthogonal-triangular (QR) decomposition of a matrix X and returns
{ QY,R,E } = qyrep(Y,X,PVT); Computes the orthogonal-triangular (QR) decomposition of a matrix X using a pivot vector
======>random.src
x = rndgam(r,c,alpha); Computes Gamma pseudo-random numbers.
x = rndp(r,c,lambda); Computes Poisson pseudo-random numbers
x = rndnb(r,c,k,p); Computes negative binomial pseudo-random numbers.
x = rndbeta(r,c,a,b); Computes beta pseudo-random numbers.
{ nr,start,counter,lastobs } = _rngchk(dataset,range); Computes beta pseudo-random numbers.
======>recserrc.src
y = recserrc(x,z); Computes a recursive series involving division. Can be used to convert from decimal to other number systems (radix conversion).
======>rref.src
y = rref(x); Computes the reduced row echelon form of a matrix. 
======>saveload.src
y = loadd(dataset); To load a small data set.
y = saved(x,dataset,vnames); To save a matrix in memory in a "GAUSS" data set on disk.
======>schtoc.src
{ schc, transc } = schtoc(sch,trans); To reduce any 2x2 blocks on the diagional of the real Schur matrix returned from schur.
======>setdif.src
y = setdif(v1,v2,type); Returns the unique elements in one vector that are not present in a second vector.
======>showpath.src
======>sortd.src
intrleav(infile1,infile2,outfile,keyvar,keytyp); To interleave the rows of two files that have been sorted on a common variable, to give a single
mergeby(infile1,infile2,outfile,keytyp); To merge two sorted files by a common variable.
sortd(infile,outfile,keyvar,keytyp); To sort data file on disk with respect to a specified variable.
======>sortmc.src
y = sortmc(x,v); Sorts a matrix on multiple columns. 
======>sparse.src
x = sparseSolve(A,B); solve Ax = B for x when A is a sparse matrix. 
y = sparseFD(x,eps); dense to sparse matrix. 
y = sparseFP(x,r,c); packed matrix to sparse matrix. 
r = isSparse(x); determine whether matrix is a sparse matrix. 
y = sparseEye(n); returns sparse identity matrix. 
z = sparseVConcat(y,x); concatenates a sparse matrix below another sparse matrix.
z = sparseHConcat(y,x); concatenates a sparse matrix on the right of another sparse matrix.
r = sparseRows(x); get number of rows in sparse matrix. 
c = sparseCols(x); get number of cols in sparse matrix. 
r = sparseNZE(x); get number of nonzero elements. 
e = denseSubmat(x,r,c); get dense submatrix of sparse matrix. 
e = sparseSubmat(x,r,c); get sparse submatrix of sparse matrix. 
z = sparseTD(x,y); multiply sparse matrix times dense matrix. 
z = sparseTrTD(x,y); multiply sparse matrix transposed times dense matrix. 
======>spline.src
{ u,v,w } = spline(x,y,z,sigma,g); multiply sparse matrix transposed times dense matrix. 
{ u,v } = curve(x,y,d,s,sigma,g) multiply sparse matrix transposed times dense matrix. 
======>strput.src
y = strput(substr,str,off); To lay a substring over a string. 
======>subscat.src
y = subscat(x,v,s); Substitutes new values for old in a vector, according to which category an element falls into.
======>svd.src
s = svd(x); Computes the singular values of a matrix.
{ u,s,v } = svd1(x); Computes the singular value decomposition of a matrix so that: x = u*s*v'
{ u,s,v } = svd2(x); Computes the singular value decomposition of a matrix so that: x = u*s*v' (compact u)
y = pinv(x); Compute the Moore-Penrose pseudo-inverse of a matrix, using the singular value decomposition.
c = cond(x); This proc will compute the condition number of a matrix, using the singular value decomposition.
k = rank(x); Computes the rank of a matrix, using the singular value decomposition.
======>system.src
y = maxvec; returns maximum vector length.
======>time.src
d = datestr(d); Formats a date in a vector to a string.
ts = timestr(t); Formats a time in a vector to a string.
str = etstr(tothsecs); Formats an elapsed time measured in hundredths of a second to a string.
etdy = etdays(tstart,tend); Computes the difference between two times, as generated by the date command, in days.
eths = ethsec(tstart,tend); Computes the difference between two times, as generated by the date command, in hundredths of a second.
daynum = dayinyr(dt); Returns day number in the year of a given date.
======>toeplitz.src
t = toeplitz(x); Creates a Toeplitz matrix from a column vector. 
======>token.src
{ token,str_left } = token(str); To extract the first token from a string. 
======>trig.src
y = arccos(x); Computes the inverse cosine.
y = arcsin(x); Computes the inverse sine.
y = cosh(x); Computes the hyperbolic cosine.
y = sinh(x); Computes the hyperbolic sine.
y = tanh(x); Computes the hyperbolic tangent.
y = arccos(x); Computes the inverse cosine.
y = arcsin(x); Computes the inverse sine.
y = COSH(x); Computes the hyperbolic cosine.
y = sinh(x); Computes the hyperbolic sine.
y = TANH(x); Computes the hyperbolic tangent.
======>vars.src
makevars(x,varnames,xnames); Creates separate global vectors from the columns of a matrix.
x = mergevar(varnames); Accepts a list of names of global matrices, and concatenates the corresponding matrices
nvec = setvars(dataset); To read the variable names from a data set header and create global matrices with the same name.
======>vartype.src
y = vartype(names); Returns a vector of ones and zeros used to determine if a variable is character or numeric. 
======>vpack.src
dbufnew = vput(dbuf,x,xname); Inserts a matrix or string into a data buffer.
x = vread(dbuf,xname); Reads a matrix or string from a data buffer constructed with vput. 
{x,dbufnew} = vget(dbuf,name); Extracts a matrix or string from a data buffer constructed with vput. 
vlist(dbuf); Lists the entire contents of a data buffer constructed with vput. 
cv = vnamecv(dbuf); Return the names of the elements of a data buffer constructed with vput. 
cv = vtypecv(dbuf); Return the types of the elements of a data buffer constructed with vput. 
======>wait.src
WAIT; To wait until any key is pressed. 
======>waitc.src
waitc; To wait until any key is pressed. 
